--EXEMPLO DE TRANSACOES
BEGIN TRAN
	UPDATE MEMBER
           SET lastname='SINCIC',
	       Firstname='MARCELO'
ROLLBACK TRAN   --TERMINA E "CANCELA" AS ALTERACOES
COMMIT TRAN     --TERMINA E GRAVA AS ALTERACOES
SELECT * FROM MEMBER
--INSERT REFERENCIAL (COLUNAS NOMEADAS)
INSERT MEMBER(LASTNAME,FIRSTNAME,MIDDLEINITIAL,PHOTOGRAPH)
VALUES('SILVA','JOAO','S',NULL)
INSERT MEMBER(LASTNAME,FIRSTNAME)
VALUES('SILVA','JOAO')
--INSERT POSICIONAL (COLUNAS NAO NOMEADAS)
INSERT MEMBER
VALUES('SOUZA','JOAQUIM','B',NULL)
--INSERT COM SELECT DE ORIGEM
INSERT MEMBER(LASTNAME,FIRSTNAME,MIDDLEINITIAL)
SELECT AU_LNAME, AU_FNAME, ''
  FROM PUBS..AUTHORS
--CRIACAO E UTILIZACAO DO DEFAULT
INSERT MEMBER(LASTNAME,FIRSTNAME,MIDDLEINITIAL,PHOTOGRAPH)
VALUES('SILVA','JOAO',DEFAULT, DEFAULT)
--DELETE SIMPLES
DELETE MEMBER
 WHERE LASTNAME='SILVA' AND FIRSTNAME='JOAO'
--DELETE BASEADO EM CONSULTA
DELETE MEMBER
--SELECT *
       FROM MEMBER AS M
      INNER JOIN PUBS..AUTHORS AS A
            ON M.LASTNAME = A.AU_LNAME
               AND M.FIRSTNAME = A.AU_FNAME
--UPDATE SIMPLES
UPDATE MEMBER
   SET LASTNAME='SILVA',
       FIRSTNAME='JOAQUIM'
 WHERE MIDDLEINITIAL IS NULL
--UPDATE COM COLUNAS DE OUTRA TABELA
UPDATE MEMBER
  SET MIDDLEINITIAL = SUBSTRING(A.AU_LNAME,1,1)
--SELECT *
  FROM MEMBER AS M
 INNER JOIN PUBS..AUTHORS AS A
       ON M.LASTNAME  = A.AU_LNAME AND
          M.FIRSTNAME = A.AU_FNAME
